classification
Title: No documentation for timeit.default_timer
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-11-25 08:13 by sandro.tosi, last changed 2012-04-24 16:14 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
issue13478-py27.patch sandro.tosi, 2012-01-19 15:32
issue13478-py32.patch sandro.tosi, 2012-01-19 15:33 review
Messages (3)
msg148307 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-11-25 08:13
Hello,
timeit documentation doesn't mention default_timer, while the module exposes it publicly and there's code snippets on the web using it. It should be documented then.


ps: adding Georg to nosy as per Experts list
msg151634 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-19 15:32
I propose these 2 patches: I'm not exactly proud of 

- 'in a platform specific manner' in the first hunk
- the second hunk

I know that there should be a better way to express it, but since I can't get to it I'd just ask for suggestions :)
msg159166 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-24 16:14
New changeset 86b927859155 by Sandro Tosi in branch '2.7':
Issue #13478: document timeit.default_timer()
http://hg.python.org/cpython/rev/86b927859155

New changeset 8165b59a4000 by Sandro Tosi in branch '3.2':
Issue #13478: document timeit.default_timer()
http://hg.python.org/cpython/rev/8165b59a4000

New changeset e43ba06da592 by Sandro Tosi in branch 'default':
Issue #13478: merge with 3.2
http://hg.python.org/cpython/rev/e43ba06da592
History
Date User Action Args
2012-04-24 16:14:19sandro.tosisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2012-04-24 16:14:00python-devsetnosy: + python-dev
messages: + msg159166
2012-01-19 15:33:03sandro.tosisetfiles: + issue13478-py32.patch
2012-01-19 15:32:57sandro.tosisetfiles: + issue13478-py27.patch
keywords: + patch
messages: + msg151634

stage: needs patch -> patch review
2011-11-25 08:13:32sandro.tosicreate